Aus dem Leben

Carpe Diem!

Wechsel der PHP-Version bei all-inkl

Bei meinem Webspace bei all-inkl ist sowohl PHP 4.4.8, als auch 5.2 installiert. Standardmäßig wird PHP 4.4 eingesetzt, es gibt jedoch auch einige Anwendungen, die PHP 5 fordern. Durch einen Eintrag in der .htaccess Datei kann man die Verwendung von PHP 5 erzwingen:

AddHandler php5-cgi .php

Fügen Sie diese Zeile in der .htaccess Datei ein. Diese Datei befindet sich im Hauptverzeichnis (Root) “/” Ihres Webspaces. Überlicherweise überträge man Dateien mittels FTP, sollte Ihr FTP Client jedoch keine .htaccess Datei anzeigen, müssen Sie evtl. die Anzeige versteckter Dateien (Dateien, die mit “.” beginnen) einschalten.

Anschließend fügen Sie die obige Anweisung hinzu und kommentieren evtl. vorhandene php Handler aus, wie z.B.

# AddHandler php-cgi .php

Das vorangestellte “#” Zeichen bewirkt, dass die entsprechende Zeile als Kommentar behandelt und nicht weiter beachtet wird. Speichern Sie die .htaccess Datei ab und laden diese wieder in das Hauptverzeichnis Ihres Webspaces hoch. Voilá, Sie haben PHP5 aktiviert.

Hinterlasse eine Antwort.

You must be logged in to post a comment.